Автор Тема: Wine: 32 или 64?  (Прочитано 1583 раз)

Оффлайн RoPP

  • Давно тут
  • **
  • Сообщений: 78
    • Email
Wine: 32 или 64?
« : 16.10.2022 13:07:56 »
приветствую.
столкнулся с такой штукой:
имеется сборка для икт-класса на стартер-ките Р10. вайн - 32-х битный, настроенный префикс для икт (в т.ч. и для впр-а по английскому).
при обновлении - удаляется несколько основных пакетов i586 и playonlinux (сейчас нет скрина - позже покажу) - соответственно, ломается префикс, вин-проги не запускаются.
вручную ставлю потом удаляемые пакеты (которые при обновлении опять удаляются) - начинаются траблы со звуком в впр-е.
почти такая же картина в симпли 10 - при установке выбираю wine (а там тоже i586), настраиваю - при обновлении i586 удаляются.
мои рассуждения: ни одной 64-х битной вин-проги я не использую - зачем мне 64-х битный вайн? я не прав?
сразу про перенос префикса в х64 - многовато путей приходится править в созданном меню и десктоп.файлах, геморойно.
как быть? обновляться выборочно - еще больший гемор...
« Последнее редактирование: 16.10.2022 13:09:27 от RoPP »

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 258
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Wine: 32 или 64?
« Ответ #1 : 16.10.2022 13:40:48 »
https://packages.altlinux.org/ru/p10/srpms/wine/specfiles/

Начиная с версии 2.17.3 wine умеет работать и 64 и с 32 битными приложениями (возможно надо пересоздать каталог .wine, но это не точно.

Оффлайн RoPP

  • Давно тут
  • **
  • Сообщений: 78
    • Email
Re: Wine: 32 или 64?
« Ответ #2 : 16.10.2022 15:02:17 »
Начиная с версии 2.17.3 wine умеет работать и 64 и с 32 битными приложениями
это понятно. только у меня есть сборка, в которой при обновлении ломается настроенный вайн.
т.к. он 32-х битный - то проги в нем стоят в "Program Files".
в 64-х битном - в "Program Files (x86)".
в каждый десктор.файл для прог вайна нужно вносить изменения в пути.
да и dll-ки добавлять в "syswow64".
вопрос: почему обновления ломают вайн х32? в том же сипмли 10?
ведь изначально в установщике "симпли" прописаны пакеты i586 - я специально ставил "симпли10", чтобы посмотреть на его вайн. а он после обновления - ломается.

Оффлайн kessys

  • Завсегдатай
  • *
  • Сообщений: 628
Re: Wine: 32 или 64?
« Ответ #3 : 16.10.2022 16:09:30 »
https://packages.altlinux.org/ru/p10/srpms/wine/specfiles/

Начиная с версии 2.17.3 wine умеет работать и 64 и с 32 битными приложениями (возможно надо пересоздать каталог .wine, но это не точно.
В alt k10 при установки ставится 32-х, в результате обновлений ставиться 64-х вот ещё фишка
О подпись)
Жизнь с kde не так плоха, Но без ssd, это жестоко грустно.

Оффлайн RoPP

  • Давно тут
  • **
  • Сообщений: 78
    • Email
Re: Wine: 32 или 64?
« Ответ #4 : 16.10.2022 17:05:12 »
В alt k10 при установки ставится 32-х, в результате обновлений ставиться 64-х вот ещё фишка
видимо, во всей ветке р10 так. для чего?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 258
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Wine: 32 или 64?
« Ответ #5 : 16.10.2022 17:07:56 »
Просто в момент выпуска дистрибутива была актуальна 32-битная версия wine, а потом в бренче возникла версия  2.17.3

Оффлайн ProfessorNavigator

  • Давно тут
  • **
  • Сообщений: 229
Re: Wine: 32 или 64?
« Ответ #6 : 17.10.2022 13:07:21 »
А если руками прописать WINEARCH=win32, скажем, в десктоп файлах программ, если таковые имеются, или в скриптах запуска?

Оффлайн RoPP

  • Давно тут
  • **
  • Сообщений: 78
    • Email
Re: Wine: 32 или 64?
« Ответ #7 : 17.10.2022 17:48:24 »
А если руками прописать WINEARCH=win32
да не проблема прописать!
люди, услышьте: у меня настроенный вайн. сборка из весеннего стартер-кита. все работает!
но, при обновлении, удаляются файлы i586-wine. т.е. - ставь только х64!
а нафига?

Оффлайн ruslandh

  • Поспешай не торопясь !
  • Модератор глобальный
  • *****
  • Сообщений: 32 258
  • Учиться .... Телепатами не рождаются, ими ....
    • Email
Re: Wine: 32 или 64?
« Ответ #8 : 17.10.2022 17:59:29 »
Потому, что он больше не нужен